Online ora  

/v1/account/

Manages Access to the AppointmentTrader Account
GET

/v1/account/get_incoming_payment_session

#
Returns details of the incoming payment session and information on whether it has been completed or is still pending.

Parametri

NomeTipoObbligatorioPredefinitoDescrizione
uniquePaymentSessionID string Sì — unique session id returned by /v1/account/set_start_incoming_payment_session
Esempio di richiesta (cURL)
curl --get \
  'https://it.appointmenttrader.com/v1/account/get_incoming_payment_session' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'uniquePaymentSessionID={{uniquePaymentSessionID}}'

Risposta

JSON
See the shared response schema and synthetic example.
Campi della risposta
CampoTipoObbligatorioDescrizione
$account_get_incoming_payment_session_Response Sì
$.oneOf[0] Sì
$.oneOf[0].allOf[0]object Sì
$.oneOf[0].allOf[0].RequestUserAliasstring Sì
$.oneOf[0].allOf[0].RequestPathstring | null Sì
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" Sì
$.oneOf[0].allOf[0].ResponseCodeinteger Sì
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object Sì
$.oneOf[0].allOf[1].Payloadobject Sì
$.oneOf[0].allOf[1].Payload.Namestring Sì
$.oneOf[0].allOf[1].Payload.MetaInformationarray Sì
$.oneOf[0].allOf[1].Payload.MetaInformation[]string No
$.oneOf[0].allOf[1].Payload.KeyValueListarray Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[]object No
$.oneOf[0].allOf[1].Payload.KeyValueList[].uniquePaymentSessionIDstring Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[].createDatestring Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[].lastUpdateDatestring Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[].expiryDatestring Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[].sessionStatusstring ["active","expired"] Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentTypestring Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSecondsDatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSeconds.oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSeconds.oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[].userAliasstring Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[].transactionReferenceIDstring Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[].transactionDescriptionstring Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmountDatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmount.oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmount.oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmountDatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmount.oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmount.oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0]object Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].DestinationAccountstring No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*PaymentConfigurationValue No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[0]string | number | boolean | null No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[1]array No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[1][]PaymentConfigurationValue No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[2]object No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[2].*PaymentConfigurationValue No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1]array Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][]PaymentConfigurationValue No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[0]string | number | boolean | null No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[1]array No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[1][]PaymentConfigurationValue No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[2]object No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[2].*PaymentConfigurationValue No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[2]string | number | boolean | null Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[].fundingStatusstring ["not_funded","funded"] Sì
$.oneOf[0].allOf[1].Payload.KeyValueFieldListarray Sì
$.oneOf[0].allOf[1].Payload.KeyValueFieldList[]string No
$.oneOf[1]object Sì
$.oneOf[1].RequestUserAliasstring Sì
$.oneOf[1].RequestPathstring | null Sì
$.oneOf[1].RequestStatus = "Failed" Sì
$.oneOf[1].ResponseCodeinteger Sì
$.oneOf[1].ResponseMessageAPIResponseMessage Sì
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null Sì
$.oneOf[1].ResponseMessage.oneOf[1]array Sì
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object Sì
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Esempio di risposta
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/account/get_incoming_payment_session",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Name": "synthetic-example",
        "MetaInformation": [],
        "KeyValueList": [],
        "KeyValueFieldList": []
    }
}
Documentazione dell’endpoint leggibile dalle macchine
GET

/v1/account/get_ledger

#
Returns paginated ledger entries for one account owned by the acting API user. Admin tools should access another user's ledger through the dispatcher impersonationUserAlias parameter; this endpoint still validates the account against the effective API user.

Parametri

NomeTipoObbligatorioPredefinitoDescrizione
accountID string Sì — Account ID owned by the acting API user.
pageNumber int No 0 Zero-based page number.
pageLength int No 50 Number of ledger rows to return, capped at 200.
Esempio di richiesta (cURL)
curl --get \
  'https://it.appointmenttrader.com/v1/account/get_ledger' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'accountID={{accountID}}' \
  --data-urlencode 'pageNumber={{pageNumber}}' \
  --data-urlencode 'pageLength={{pageLength}}'

Risposta

JSON
See the shared response schema and synthetic example.
Campi della risposta
CampoTipoObbligatorioDescrizione
$account_get_ledger_Response Sì
$.oneOf[0] Sì
$.oneOf[0].allOf[0]object Sì
$.oneOf[0].allOf[0].RequestUserAliasstring Sì
$.oneOf[0].allOf[0].RequestPathstring | null Sì
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" Sì
$.oneOf[0].allOf[0].ResponseCodeinteger Sì
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object Sì
$.oneOf[0].allOf[1].Payloadobject Sì
$.oneOf[0].allOf[1].Payload.Accountobject Sì
$.oneOf[0].allOf[1].Payload.Account.Currencystring Sì
$.oneOf[0].allOf[1].Payload.Account.CurrencySymbolstring Sì
$.oneOf[0].allOf[1].Payload.Account.CreatedDatestring Sì
$.oneOf[0].allOf[1].Payload.Account.LastUpdateDatestring Sì
$.oneOf[0].allOf[1].Payload.Account.Namestring Sì
$.oneOf[0].allOf[1].Payload.Account.Descriptionstring Sì
$.oneOf[0].allOf[1].Payload.Account.IDDatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.ID.oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.Account.ID.oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.Account.ATUser_IDDatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.ATUser_ID.oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.Account.ATUser_ID.oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.Account.CurrencyCreditLimitDatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.CurrencyCreditLimit.oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.Account.CurrencyCreditLimit.oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.Account.PayoutDefaultBasisPointsDatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.PayoutDefaultBasisPoints.oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.Account.PayoutDefaultBasisPoints.oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.Account.PointsCreditLimitDatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.PointsCreditLimit.oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.Account.PointsCreditLimit.oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.Account.IsATCorporateAccountDatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.IsATCorporateAccount.oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.Account.IsATCorporateAccount.oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.Account.IsDefaultDatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.IsDefault.oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.Account.IsDefault.oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.Account.IsDepositAccountDatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.IsDepositAccount.oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.Account.IsDepositAccount.oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.Account.CurrencyBalanceDatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.CurrencyBalance.oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.Account.CurrencyBalance.oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.Account.PointsBalanceDatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.PointsBalance.oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.Account.PointsBalance.oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.Ledgerarray Sì
$.oneOf[0].allOf[1].Payload.Ledger[]object No
$.oneOf[0].allOf[1].Payload.Ledger[].CreatedDatestring Sì
$.oneOf[0].allOf[1].Payload.Ledger[].LastUpdateDatestring Sì
$.oneOf[0].allOf[1].Payload.Ledger[].Namestring Sì
$.oneOf[0].allOf[1].Payload.Ledger[].Descriptionstring Sì
$.oneOf[0].allOf[1].Payload.Ledger[].ConfirmationObjectstring SìStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].IDDatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].ID.oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.Ledger[].ID.oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyAmountDatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyAmount.oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyAmount.oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.Ledger[].PointsAmountDatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].PointsAmount.oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.Ledger[].PointsAmount.oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyBalanceDatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyBalance.oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyBalance.oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.Ledger[].PointsBalanceDatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].PointsBalance.oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.Ledger[].PointsBalance.oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID Sì
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID.anyOf[0]DatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID.anyOf[0].oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID.anyOf[0].oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID Sì
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID.anyOf[0]DatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID.anyOf[0].oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID.anyOf[0].oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID Sì
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID.anyOf[0]DatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID.anyOf[0].oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID.anyOf[0].oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID Sì
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID.anyOf[0]DatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID.anyOf[0].oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID.anyOf[0].oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.Ledger[].ConfirmationID Sì
$.oneOf[0].allOf[1].Payload.Ledger[].ConfirmationID.anyOf[0]string Sì
$.oneOf[0].allOf[1].Payload.Ledger[].ConfirmationID.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.Ledger[].SupplementalURL Sì
$.oneOf[0].allOf[1].Payload.Ledger[].SupplementalURL.anyOf[0]string Sì
$.oneOf[0].allOf[1].Payload.Ledger[].SupplementalURL.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-RefundObject SìStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-RefundObject.anyOf[0]string Sì
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-RefundObject.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-DisputeObject SìStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-DisputeObject.anyOf[0]string Sì
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-DisputeObject.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-RefundObject SìStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-RefundObject.anyOf[0]string Sì
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-RefundObject.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-DisputeObject SìStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-DisputeObject.anyOf[0]string Sì
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-DisputeObject.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.Ledger[].RefundInstruction SìStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].RefundInstruction.anyOf[0]string Sì
$.oneOf[0].allOf[1].Payload.Ledger[].RefundInstruction.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.Ledger[].TransactionTypestring ["DEBIT","CREDIT"] Sì
$.oneOf[0].allOf[1].Payload.Pageobject Sì
$.oneOf[0].allOf[1].Payload.Page.PageNumberinteger Sì
$.oneOf[0].allOf[1].Payload.Page.PageLengthinteger Sì
$.oneOf[0].allOf[1].Payload.Page.NextPageNumber Sì
$.oneOf[0].allOf[1].Payload.Page.NextPageNumber.anyOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.Page.NextPageNumber.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.Page.PreviousPageNumber Sì
$.oneOf[0].allOf[1].Payload.Page.PreviousPageNumber.anyOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.Page.PreviousPageNumber.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.Page.HasMoreboolean Sì
$.oneOf[1]object Sì
$.oneOf[1].RequestUserAliasstring Sì
$.oneOf[1].RequestPathstring | null Sì
$.oneOf[1].RequestStatus = "Failed" Sì
$.oneOf[1].ResponseCodeinteger Sì
$.oneOf[1].ResponseMessageAPIResponseMessage Sì
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null Sì
$.oneOf[1].ResponseMessage.oneOf[1]array Sì
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object Sì
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Esempio di risposta
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/account/get_ledger",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Account": {
            "Currency": "synthetic-example",
            "CurrencySymbol": "synthetic-example",
            "CreatedDate": "synthetic-example",
            "LastUpdateDate": "synthetic-example",
            "Name": "synthetic-example",
            "Description": "synthetic-example",
            "ID": 0,
            "ATUser_ID": 0,
            "CurrencyCreditLimit": 0,
            "PayoutDefaultBasisPoints": 0,
            "PointsCreditLimit": 0,
            "IsATCorporateAccount": 0,
            "IsDefault": 0,
            "IsDepositAccount": 0,
            "CurrencyBalance": 0,
            "PointsBalance": 0
        },
        "Ledger": [],
        "Page": {
            "PageNumber": 0,
            "PageLength": 0,
            "NextPageNumber": 0,
            "PreviousPageNumber": 0,
            "HasMore": false
        }
    }
}
Documentazione dell’endpoint leggibile dalle macchine
GET

/v1/account/get_list

#
Returns all available user accounts including their balances and if applicable credit limits in the smallest possible currency unit

Parametri

NomeTipoObbligatorioPredefinitoDescrizione
searchFilter string No "" filter criteria
includeDepositAccount bool No false defines if deposit account should be return
pageSize int No 50 Defines how many results will be return per request
pageNumber int No 0 Defines which page should be returned
includeCorporateAccounts bool No false Admin-only flag to include corporate accounts owned by the inspected user.
includeHiddenAccounts bool No false Admin-only flag to include hidden accounts owned by the inspected user.
Esempio di richiesta (cURL)
curl --get \
  'https://it.appointmenttrader.com/v1/account/get_list' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'searchFilter={{searchFilter}}' \
  --data-urlencode 'includeDepositAccount={{includeDepositAccount}}' \
  --data-urlencode 'pageSize={{pageSize}}' \
  --data-urlencode 'pageNumber={{pageNumber}}' \
  --data-urlencode 'includeCorporateAccounts={{includeCorporateAccounts}}' \
  --data-urlencode 'includeHiddenAccounts={{includeHiddenAccounts}}'

Risposta

JSON
See the shared response schema and synthetic example.
Campi della risposta
CampoTipoObbligatorioDescrizione
$account_get_list_Response Sì
$.oneOf[0] Sì
$.oneOf[0].allOf[0]object Sì
$.oneOf[0].allOf[0].RequestUserAliasstring Sì
$.oneOf[0].allOf[0].RequestPathstring | null Sì
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" Sì
$.oneOf[0].allOf[0].ResponseCodeinteger Sì
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object Sì
$.oneOf[0].allOf[1].Payloadobject Sì
$.oneOf[0].allOf[1].Payload.ATResponseObjectType = "NestedKeyValueList" Sì
$.oneOf[0].allOf[1].Payload.ResponseBodyobject Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.Namestring Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.MetaInformationarray Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.MetaInformation[]string No
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueListarray Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[]object No
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountNamestring Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountDescriptionstring Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencystring Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencySymbolstring Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountNameAndBalancestring Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountIDDatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountID.oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountID.oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyBalanceDatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyBalance.oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyBalance.oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsBalanceDatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsBalance.oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsBalance.oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyCreditLimitDatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyCreditLimit.oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyCreditLimit.oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsCreditLimitDatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsCreditLimit.oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsCreditLimit.oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountIsCorporateDatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountIsCorporate.oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountIsCorporate.oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountAvailableCurrencyBalancenumber Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountAvailablePointsBalancenumber Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueFieldListarray Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueFieldList[]string No
$.oneOf[1]object Sì
$.oneOf[1].RequestUserAliasstring Sì
$.oneOf[1].RequestPathstring | null Sì
$.oneOf[1].RequestStatus = "Failed" Sì
$.oneOf[1].ResponseCodeinteger Sì
$.oneOf[1].ResponseMessageAPIResponseMessage Sì
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null Sì
$.oneOf[1].ResponseMessage.oneOf[1]array Sì
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object Sì
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Esempio di risposta
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/account/get_list",
    "RequestUserAlias": "example-user",
    "Payload": {
        "ATResponseObjectType": "NestedKeyValueList",
        "ResponseBody": {
            "Name": "synthetic-example",
            "MetaInformation": [],
            "KeyValueList": [],
            "KeyValueFieldList": []
        }
    }
}
Documentazione dell’endpoint leggibile dalle macchine
POST

/v1/account/set_start_incoming_payment_session

#
Creates an incoming payments session which will be credited to API users main account. The gross amount will be discounted, and the discounted expected payment will be returned

Parametri

NomeTipoObbligatorioPredefinitoDescrizione
paymentType string Sì — Type of payment used
grossAmount int Sì — Amount that shall be received by the transaction
transactionReferenceID string Sì — this reference number can be used to avoid creating new payments sessions for the same checkout flow, if an active payments session for this transactionReferenceID exists the ExpiryTime will extended by the payment types sessionLifetime
transactionDescription string Sì — this description will reflect on the users account detailing what the charge was for.
isWritingRequest bool No false all set_[...] functions have this parameter - if false (which is default) the method will execute without writing any data. Set this parameter to true once you are sure that you tested your logic and want to execute a writing request
Esempio di richiesta (cURL)
curl --request POST \
  'https://it.appointmenttrader.com/v1/account/set_start_incoming_payment_session' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'paymentType={{paymentType}}' \
  --data-urlencode 'grossAmount={{grossAmount}}' \
  --data-urlencode 'transactionReferenceID={{transactionReferenceID}}' \
  --data-urlencode 'transactionDescription={{transactionDescription}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

Risposta

JSON
See the shared response schema and synthetic example.
Campi della risposta
CampoTipoObbligatorioDescrizione
$account_set_start_incoming_payment_session_Response Sì
$.oneOf[0] Sì
$.oneOf[0].allOf[0]object Sì
$.oneOf[0].allOf[0].RequestUserAliasstring Sì
$.oneOf[0].allOf[0].RequestPathstring | null Sì
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" Sì
$.oneOf[0].allOf[0].ResponseCodeinteger Sì
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object Sì
$.oneOf[0].allOf[1].Payloadobject Sì
$.oneOf[0].allOf[1].Payload.Namestring Sì
$.oneOf[0].allOf[1].Payload.MetaInformationarray Sì
$.oneOf[0].allOf[1].Payload.MetaInformation[]string No
$.oneOf[0].allOf[1].Payload.KeyValueListarray Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[]object No
$.oneOf[0].allOf[1].Payload.KeyValueList[].uniquePaymentSessionIDstring Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[].createDatestring Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[].lastUpdateDatestring Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[].expiryDatestring Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[].sessionStatusstring ["active","expired"] Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentTypestring Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSecondsDatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSeconds.oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSeconds.oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[].userAliasstring Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[].transactionReferenceIDstring Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[].transactionDescriptionstring Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmountDatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmount.oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmount.oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmountDatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmount.oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmount.oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0]object Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].DestinationAccountstring No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*PaymentConfigurationValue No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[0]string | number | boolean | null No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[1]array No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[1][]PaymentConfigurationValue No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[2]object No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[2].*PaymentConfigurationValue No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1]array Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][]PaymentConfigurationValue No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[0]string | number | boolean | null No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[1]array No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[1][]PaymentConfigurationValue No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[2]object No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[2].*PaymentConfigurationValue No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[2]string | number | boolean | null Sì
$.oneOf[0].allOf[1].Payload.KeyValueList[].fundingStatusstring ["not_funded","funded"] Sì
$.oneOf[0].allOf[1].Payload.KeyValueFieldListarray Sì
$.oneOf[0].allOf[1].Payload.KeyValueFieldList[]string No
$.oneOf[1]object Sì
$.oneOf[1].RequestUserAliasstring Sì
$.oneOf[1].RequestPathstring | null Sì
$.oneOf[1].RequestStatus = "Failed" Sì
$.oneOf[1].ResponseCodeinteger Sì
$.oneOf[1].ResponseMessageAPIResponseMessage Sì
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null Sì
$.oneOf[1].ResponseMessage.oneOf[1]array Sì
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object Sì
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Esempio di risposta
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/account/set_start_incoming_payment_session",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Name": "synthetic-example",
        "MetaInformation": [],
        "KeyValueList": [],
        "KeyValueFieldList": []
    }
}
Documentazione dell’endpoint leggibile dalle macchine